<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="300dp"
    android:layout_height="wrap_content"
    android:padding="@dimen/margin_1x_size">


    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardCornerRadius="5dp"
        app:cardUseCompatPadding="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_partner_logo"
                android:layout_width="70dp"
                android:layout_height="70dp"
                android:layout_marginStart="@dimen/margin_1x_size"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/iv_discount_bg"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:src="@drawable/bg_discount"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.seatel.mobilehall.util.customview.CustomTextView

                android:id="@+id/tv_discount"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/margin_2x_size"
                android:layout_marginEnd="@dimen/margin_2x_size"
                android:gravity="center"
                android:maxLines="2"
                android:textColor="@color/white"
                android:textSize="@dimen/extra_small_text_size"
                app:layout_constraintBottom_toBottomOf="@+id/iv_discount_bg"
                app:layout_constraintEnd_toEndOf="@+id/iv_discount_bg"
                app:layout_constraintStart_toStartOf="@+id/iv_discount_bg"
                app:layout_constraintTop_toTopOf="@+id/iv_discount_bg" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_partner_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_1x_size"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/iv_partner_logo" />

            <ImageView
                android:id="@+id/iv_image"
                android:layout_width="match_parent"
                android:layout_height="200dp"
                android:scaleType="centerCrop"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_partner_title" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </androidx.cardview.widget.CardView>


</androidx.constraintlayout.widget.ConstraintLayout>